# std::shared_future< void > Class Template Reference
[Futures]

Explicit specialization for shared_future<void> More...

Inheritance diagram for std::shared_future< void >:
[legend]

List of all members.

## Public Member Functions

- shared_future (const shared_future &__sf)
- shared_future (shared_future &&__sf)
- shared_future (future< void > &&__uf)
- void get ()
- shared_future & operator= (const shared_future &__sf)
- shared_future & operator= (shared_future &&__sf)
- bool valid () const
- void wait () const
- bool wait_for (const chrono::duration< _Rep, _Period > &__rel) const
- bool wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

## Protected Types

- typedef __future_base::_Result
  < void > & __result_type
- typedef shared_ptr< _State > __state_type

## Protected Member Functions

- __result_type _M_get_result ()
- void _M_swap (__basic_future &__that)

## Detailed Description

### template<>
class std::shared_future< void >

Explicit specialization for shared_future<void>

Definition at line 766 of file future.

## Constructor & Destructor Documentation

std::shared_future< void >::shared_future | ( | const shared_future< void > & | __sf | ) | `[inline]`

Copy constructor.

Definition at line 774 of file future.

std::shared_future< void >::shared_future | ( | future< void > && | __uf | ) | `[inline]`

Construct from a future rvalue.

Definition at line 777 of file future.

std::shared_future< void >::shared_future | ( | shared_future< void > && | __sf | ) | `[inline]`

Construct from a shared_future rvalue.

Definition at line 782 of file future.

## Member Function Documentation

__result_type std::__basic_future< void >::_M_get_result | ( |  | ) | `[inline, protected, inherited]`

Wait for the state to be ready and rethrow any stored exception.

Definition at line 513 of file future.

The documentation for this class was generated from the following file:

- future